iget_locked
Prev | Inode Handling | Next

## Name

iget_locked — obtain an inode from a mounted file system

## Synopsis

`struct inode * iget_locked (` | struct super_block * | sb,
| unsigned long | ino`)`;

## Arguments

`sb`

  super block of file system

`ino`

  inode number to get

## Description

This is `iget` without the `read_inode` portion of `get_new_inode_fast`.

`iget_locked` uses `ifind_fast` to search for the inode specified by `ino` in the inode cache and if present it is returned with an increased reference count. This is for file systems where the inode number is sufficient for unique identification of an inode.

If the inode is not in cache, `get_new_inode_fast` is called to allocate a new inode and this is returned locked, hashed, and with the I_NEW flag set. The file system gets to fill it in before unlocking it via `unlock_new_inode`.

Prev | Up | Next
iget5_locked | Home | __insert_inode_hash